Get project machine pool grant
curl --request GET \
--url https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/machine-pool-grants/{poolGrantID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/machine-pool-grants/{poolGrantID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/machine-pool-grants/{poolGrantID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"machine_pool_id": "<string>",
"description": "<string>",
"default_machine_cpu": 1073741824,
"default_machine_memory_mb": 1073741824,
"default_machine_env_overlay": {},
"default_machine_secret_env_overlay": {},
"default_machine_provider_options_overlay": {},
"default_cwd": "<string>",
"max_total_machines": 1073741823,
"max_total_cpu": 1073741823,
"max_total_memory_mb": 1073741823,
"min_machine_cpu": 1073741823,
"min_machine_memory_mb": 1073741823,
"max_machine_cpu": 1073741824,
"max_machine_memory_mb": 1073741824,
"delete_after_idle_minutes": 0,
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Machine Pools
Get project machine pool grant
GET
/
orgs
/
{orgID}
/
projects
/
{projectID}
/
machine-pool-grants
/
{poolGrantID}
Get project machine pool grant
Authorizations
bearerAuthbrowserSessionCookie
An opaque Omnara personal or organization bearer token.
Path Parameters
Pattern:
^org_[a-z2-7]{26}$Pattern:
^proj_[a-z2-7]{26}$Pattern:
^pmpg_[a-z2-7]{26}$Response
Project machine pool grant.
Pattern:
^pmpg_[a-z2-7]{26}$Pattern:
^org_[a-z2-7]{26}$Pattern:
^proj_[a-z2-7]{26}$Pattern:
^mpo_[a-z2-7]{26}$Required range:
1 <= x <= 2147483647Required range:
1 <= x <= 2147483647Env overlay merged over the pool's default_machine_env for machines materialized through this grant; a null entry removes the key.
Show child attributes
Show child attributes
Secret env overlay merged over the pool's default_machine_secret_env for machines materialized through this grant; a null entry removes the key.
Show child attributes
Show child attributes
Required range:
0 <= x <= 2147483647Required range:
0 <= x <= 2147483647Required range:
0 <= x <= 2147483647Required range:
0 <= x <= 2147483647Required range:
0 <= x <= 2147483647Required range:
1 <= x <= 2147483647Required range:
1 <= x <= 2147483647Idle minutes before deleting a machine created through this grant. Zero disables deletion for this grant; null inherits the pool default.
Required range:
0 <= x <= 2147483647Arbitrary key-value metadata. Maximum 16 pairs, keys up to 64 characters, values must be strings of up to 512 characters.
Show child attributes
Show child attributes